> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.vellum.ai/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.vellum.ai/_mcp/server.

# List Workflow Deployment Executions

GET https://api.vellum.ai/v1/workflow-deployments/{id}/execution-events

Reference: https://docs.vellum.ai/developers/client-sdk/workflows/deployments/list-executions

## Authentication

- `X-API-KEY` header (required) — API Key authentication via header

## Request

### Path parameters

- `id` (string, required)

### Query parameters

- `filters` (string, optional)
- `limit` (integer, optional) — Number of executions to return per page.
- `offset` (integer, optional) — The initial index from which to return the executions.
- `ordering` (string, optional)

## Response

### 200

- `count` (integer, required)
- `results` (list of SlimWorkflowExecutionRead, required)

## Types

### SlimWorkflowExecutionRead

- `span_id` (string, required)
- `start` (string, required)
- `end` (string, required, nullable)
- `inputs` (list of ExecutionVellumValue, required)
- `outputs` (list of ExecutionVellumValue, required)
- `error` (WorkflowError, required, nullable)
- `usage_results` (list of WorkflowExecutionUsageResult, required, nullable)
- `parent_context` (WorkflowDeploymentParentContext, required, nullable)
- `latest_actual` (WorkflowExecutionActual, required, nullable)
- `metric_results` (list of WorkflowExecutionViewOnlineEvalMetricResult, required)

### ExecutionVellumValue

### WorkflowError

### WorkflowExecutionUsageResult

- `usage` (list of MLModelUsageWrapper, optional, nullable)
- `cost` (list of Price, optional, nullable)
- `error` (WorkflowExecutionUsageCalculationError, optional, nullable)

### WorkflowDeploymentParentContext

- `type` (enum, required)
  - Allowed values: `WORKFLOW_RELEASE_TAG`
- `span_id` (string, required)
- `deployment_id` (string, required)
- `deployment_name` (string, required)
- `deployment_history_item_id` (string, required)
- `release_tag_id` (string, required)
- `release_tag_name` (string, required)
- `workflow_version_id` (string, required)
- `parent` (ParentContext, optional, nullable)
- `links` (list of SpanLink, optional, nullable)
- `external_id` (string, optional, nullable)
- `metadata` (map from string to any, optional, nullable)

### WorkflowExecutionActual

- `output` (ExecutionVellumValue, required)
- `timestamp` (string, required)
- `metadata` (map from string to any, required, nullable)
- `quality` (double, optional, nullable)

### WorkflowExecutionViewOnlineEvalMetricResult

- `outputs` (list of ExecutionVellumValue, required)
- `label` (string, required)
- `metric_id` (string, required)

### ExecutionStringVellumValue

A value representing a string.

- `id` (string, required) — The variable's uniquely identifying internal id.
- `name` (string, required)
- `type` (enum, required)
  - Allowed values: `STRING`
- `value` (string, required, nullable)

### ExecutionNumberVellumValue

A value representing a number.

- `id` (string, required) — The variable's uniquely identifying internal id.
- `name` (string, required)
- `type` (enum, required)
  - Allowed values: `NUMBER`
- `value` (double, required, nullable)

### ExecutionJsonVellumValue

A value representing a JSON object.

- `id` (string, required) — The variable's uniquely identifying internal id.
- `name` (string, required)
- `type` (enum, required)
  - Allowed values: `JSON`
- `value` (any, required, nullable)

### ExecutionChatHistoryVellumValue

A value representing Chat History.

- `id` (string, required) — The variable's uniquely identifying internal id.
- `name` (string, required)
- `type` (enum, required)
  - Allowed values: `CHAT_HISTORY`
- `value` (list of ChatMessage, required, nullable)

### ExecutionSearchResultsVellumValue

A value representing Search Results.

- `id` (string, required) — The variable's uniquely identifying internal id.
- `name` (string, required)
- `type` (enum, required)
  - Allowed values: `SEARCH_RESULTS`
- `value` (list of SearchResult, required, nullable)

### ExecutionErrorVellumValue

A value representing an Error.

- `id` (string, required) — The variable's uniquely identifying internal id.
- `name` (string, required)
- `type` (enum, required)
  - Allowed values: `ERROR`
- `value` (VellumError, required, nullable)

### ExecutionArrayVellumValue

A value representing an array of Vellum variable values.

- `id` (string, required) — The variable's uniquely identifying internal id.
- `name` (string, required)
- `type` (enum, required)
  - Allowed values: `ARRAY`
- `value` (list of VellumValue, required, nullable)

### ExecutionFunctionCallVellumValue

A value representing a Function Call.

- `id` (string, required) — The variable's uniquely identifying internal id.
- `name` (string, required)
- `type` (enum, required)
  - Allowed values: `FUNCTION_CALL`
- `value` (FunctionCall, required, nullable) — The final resolved function call value.

### ExecutionThinkingVellumValue

A value representing Thinking mode output.

- `id` (string, required) — The variable's uniquely identifying internal id.
- `name` (string, required)
- `type` (enum, required)
  - Allowed values: `THINKING`
- `value` (StringVellumValue, required, nullable) — A value representing a string.

### ExecutionAudioVellumValue

A base Vellum primitive value representing audio.

- `id` (string, required) — The variable's uniquely identifying internal id.
- `name` (string, required)
- `type` (enum, required)
  - Allowed values: `AUDIO`
- `value` (VellumAudio, required, nullable)

### ExecutionVideoVellumValue

A base Vellum primitive value representing a video.

- `id` (string, required) — The variable's uniquely identifying internal id.
- `name` (string, required)
- `type` (enum, required)
  - Allowed values: `VIDEO`
- `value` (VellumVideo, required, nullable)

### ExecutionImageVellumValue

A base Vellum primitive value representing an image.

- `id` (string, required) — The variable's uniquely identifying internal id.
- `name` (string, required)
- `type` (enum, required)
  - Allowed values: `IMAGE`
- `value` (VellumImage, required, nullable)

### ExecutionDocumentVellumValue

A base Vellum primitive value representing a document.

- `id` (string, required) — The variable's uniquely identifying internal id.
- `name` (string, required)
- `type` (enum, required)
  - Allowed values: `DOCUMENT`
- `value` (VellumDocument, required, nullable)

### WorkflowEventError

- `message` (string, required)
- `code` (enum, required) — * `WORKFLOW_INITIALIZATION` - WORKFLOW_INITIALIZATION * `WORKFLOW_CANCELLED` - WORKFLOW_CANCELLED * `WORKFLOW_TIMEOUT` - WORKFLOW_TIMEOUT * `PROVIDER_CREDENTIALS_UNAVAILABLE` - PROVIDER_CREDENTIALS_UNAVAILABLE * `INTEGRATION_CREDENTIALS_UNAVAILABLE` - INTEGRATION_CREDENTIALS_UNAVAILABLE * `NODE_EXECUTION_COUNT_LIMIT_REACHED` - NODE_EXECUTION_COUNT_LIMIT_REACHED * `INTERNAL_SERVER_ERROR` - INTERNAL_SERVER_ERROR * `NODE_EXECUTION` - NODE_EXECUTION * `NODE_CANCELLED` - NODE_CANCELLED * `NODE_TIMEOUT` - NODE_TIMEOUT * `LLM_PROVIDER` - LLM_PROVIDER * `INVALID_TEMPLATE` - INVALID_TEMPLATE * `INVALID_INPUTS` - INVALID_INPUTS * `PROVIDER_QUOTA_EXCEEDED` - PROVIDER_QUOTA_EXCEEDED * `USER_DEFINED_ERROR` - USER_DEFINED_ERROR
  - Allowed values: `WORKFLOW_INITIALIZATION`, `WORKFLOW_CANCELLED`, `WORKFLOW_TIMEOUT`, `PROVIDER_CREDENTIALS_UNAVAILABLE`, `INTEGRATION_CREDENTIALS_UNAVAILABLE`, `NODE_EXECUTION_COUNT_LIMIT_REACHED`, `INTERNAL_SERVER_ERROR`, `NODE_EXECUTION`, `NODE_CANCELLED`, `NODE_TIMEOUT`, `LLM_PROVIDER`, `INVALID_TEMPLATE`, `INVALID_INPUTS`, `PROVIDER_QUOTA_EXCEEDED`, `USER_DEFINED_ERROR`
- `raw_data` (WorkflowEventErrorRawData, optional, nullable)
- `stacktrace` (string, optional, nullable)

### WorkflowInitializationError

Workflow initialization error.

- `code` (string, required)
- `message` (string, required)

### MLModelUsageWrapper

- `ml_model_name` (string, required)
- `ml_model_usage` (MLModelUsage, required)

### Price

- `value` (double, required)
- `unit` (enum, required) — * `USD` - USD
  - Allowed values: `USD`

### WorkflowExecutionUsageCalculationError

- `code` (enum, required) — * `UNKNOWN` - UNKNOWN * `DEPENDENCIES_FAILED` - DEPENDENCIES_FAILED * `NO_USAGE_CALCULATED` - NO_USAGE_CALCULATED * `INTERNAL_SERVER_ERROR` - INTERNAL_SERVER_ERROR
  - Allowed values: `UNKNOWN`, `DEPENDENCIES_FAILED`, `NO_USAGE_CALCULATED`, `INTERNAL_SERVER_ERROR`
- `message` (string, required)

### ParentContext

### SpanLink

- `trace_id` (string, required)
- `type` (enum, required) — * `TRIGGERED_BY` - TRIGGERED_BY * `PREVIOUS_SPAN` - PREVIOUS_SPAN * `ROOT_SPAN` - ROOT_SPAN
  - Allowed values: `TRIGGERED_BY`, `PREVIOUS_SPAN`, `ROOT_SPAN`
- `span_context` (ParentContext, required)

### ChatMessage

- `role` (enum, required) — * `SYSTEM` - System * `ASSISTANT` - Assistant * `USER` - User * `FUNCTION` - Function
  - Allowed values: `SYSTEM`, `ASSISTANT`, `USER`, `FUNCTION`
- `text` (string, optional, nullable)
- `content` (ChatMessageContent, optional, nullable)
- `source` (string, optional, nullable) — An optional identifier representing who or what generated this message.
- `metadata` (map from string to any, optional, nullable)

### SearchResult

- `text` (string, required) — The text of the chunk that matched the search query.
- `score` (double, required) — A score representing how well the chunk matches the search query.
- `keywords` (list of string, required)
- `document` (SearchResultDocument, required) — The document that contains the chunk that matched the search query.
- `meta` (SearchResultMeta, optional, nullable) — Additional information about the search result.

### VellumError

- `code` (enum, required) — * `INVALID_REQUEST` - INVALID_REQUEST * `INVALID_INPUTS` - INVALID_INPUTS * `PROVIDER_ERROR` - PROVIDER_ERROR * `PROVIDER_CREDENTIALS_UNAVAILABLE` - PROVIDER_CREDENTIALS_UNAVAILABLE * `INTEGRATION_CREDENTIALS_UNAVAILABLE` - INTEGRATION_CREDENTIALS_UNAVAILABLE * `REQUEST_TIMEOUT` - REQUEST_TIMEOUT * `INTERNAL_SERVER_ERROR` - INTERNAL_SERVER_ERROR * `USER_DEFINED_ERROR` - USER_DEFINED_ERROR * `WORKFLOW_CANCELLED` - WORKFLOW_CANCELLED * `NODE_CANCELLED` - NODE_CANCELLED * `PROVIDER_QUOTA_EXCEEDED` - PROVIDER_QUOTA_EXCEEDED * `CHAT_QUOTA_EXCEEDED` - CHAT_QUOTA_EXCEEDED
  - Allowed values: `INVALID_REQUEST`, `INVALID_INPUTS`, `PROVIDER_ERROR`, `PROVIDER_CREDENTIALS_UNAVAILABLE`, `INTEGRATION_CREDENTIALS_UNAVAILABLE`, `REQUEST_TIMEOUT`, `INTERNAL_SERVER_ERROR`, `USER_DEFINED_ERROR`, `WORKFLOW_CANCELLED`, `NODE_CANCELLED`, `PROVIDER_QUOTA_EXCEEDED`, `CHAT_QUOTA_EXCEEDED`
- `message` (string, required)
- `raw_data` (map from string to any, optional, nullable)

### VellumValue

### FunctionCall

The final resolved function call value.

- `arguments` (map from string to any, required)
- `name` (string, required)
- `id` (string, optional, nullable)

### StringVellumValue

A value representing a string.

- `type` (enum, required)
  - Allowed values: `STRING`
- `value` (string, required, nullable)

### VellumAudio

- `src` (string, required) — The reference to the source data. This can be one of the following formats: 1. A base64-encoded data URL (e.g., 'data:application/pdf;base64,JVBERi0xLjQKJcfs...'). 2. A url pointing to a file accessible over HTTP or HTTPS. 3. A reference to a file that's been previously uploaded to Vellum, in the form of 'vellum:uploaded-file:\{uploaded\_file\_id}'. You can use the Uploaded Files API to retrieve the url of the uploaded file given its ID. See [https://docs.vellum.ai/developers/client-sdk/uploaded-files/retrieve](https://docs.vellum.ai/developers/client-sdk/uploaded-files/retrieve) for details.
- `metadata` (map from string to any, optional, nullable)

### VellumVideo

- `src` (string, required) — The reference to the source data. This can be one of the following formats: 1. A base64-encoded data URL (e.g., 'data:application/pdf;base64,JVBERi0xLjQKJcfs...'). 2. A url pointing to a file accessible over HTTP or HTTPS. 3. A reference to a file that's been previously uploaded to Vellum, in the form of 'vellum:uploaded-file:\{uploaded\_file\_id}'. You can use the Uploaded Files API to retrieve the url of the uploaded file given its ID. See [https://docs.vellum.ai/developers/client-sdk/uploaded-files/retrieve](https://docs.vellum.ai/developers/client-sdk/uploaded-files/retrieve) for details.
- `metadata` (map from string to any, optional, nullable)

### VellumImage

- `src` (string, required) — The reference to the source data. This can be one of the following formats: 1. A base64-encoded data URL (e.g., 'data:application/pdf;base64,JVBERi0xLjQKJcfs...'). 2. A url pointing to a file accessible over HTTP or HTTPS. 3. A reference to a file that's been previously uploaded to Vellum, in the form of 'vellum:uploaded-file:\{uploaded\_file\_id}'. You can use the Uploaded Files API to retrieve the url of the uploaded file given its ID. See [https://docs.vellum.ai/developers/client-sdk/uploaded-files/retrieve](https://docs.vellum.ai/developers/client-sdk/uploaded-files/retrieve) for details.
- `metadata` (map from string to any, optional, nullable)

### VellumDocument

- `src` (string, required) — The reference to the source data. This can be one of the following formats: 1. A base64-encoded data URL (e.g., 'data:application/pdf;base64,JVBERi0xLjQKJcfs...'). 2. A url pointing to a file accessible over HTTP or HTTPS. 3. A reference to a file that's been previously uploaded to Vellum, in the form of 'vellum:uploaded-file:\{uploaded\_file\_id}'. You can use the Uploaded Files API to retrieve the url of the uploaded file given its ID. See [https://docs.vellum.ai/developers/client-sdk/uploaded-files/retrieve](https://docs.vellum.ai/developers/client-sdk/uploaded-files/retrieve) for details.
- `metadata` (map from string to any, optional, nullable)

### WorkflowEventErrorRawData

### MLModelUsage

- `output_token_count` (integer, optional, nullable)
- `input_token_count` (integer, optional, nullable)
- `input_char_count` (integer, optional, nullable)
- `output_char_count` (integer, optional, nullable)
- `compute_nanos` (integer, optional, nullable)
- `cache_creation_input_tokens` (integer, optional, nullable)
- `cache_read_input_tokens` (integer, optional, nullable)

### WorkflowParentContext

- `workflow_definition` (VellumCodeResourceDefinition, required)
- `type` (enum, required)
  - Allowed values: `WORKFLOW`
- `span_id` (string, required)
- `parent` (ParentContext, optional, nullable)
- `links` (list of SpanLink, optional, nullable)

### NodeParentContext

- `node_definition` (VellumCodeResourceDefinition, required)
- `type` (enum, required)
  - Allowed values: `WORKFLOW_NODE`
- `span_id` (string, required)
- `parent` (ParentContext, optional, nullable)
- `links` (list of SpanLink, optional, nullable)

### WorkflowSandboxParentContext

- `type` (enum, required)
  - Allowed values: `WORKFLOW_SANDBOX`
- `span_id` (string, required)
- `sandbox_id` (string, required)
- `sandbox_history_item_id` (string, required)
- `scenario_id` (string, required)
- `parent` (ParentContext, optional, nullable)
- `links` (list of SpanLink, optional, nullable)

### PromptDeploymentParentContext

- `type` (enum, required)
  - Allowed values: `PROMPT_RELEASE_TAG`
- `span_id` (string, required)
- `deployment_id` (string, required)
- `deployment_name` (string, required)
- `deployment_history_item_id` (string, required)
- `release_tag_id` (string, required)
- `release_tag_name` (string, required)
- `prompt_version_id` (string, required)
- `parent` (ParentContext, optional, nullable)
- `links` (list of SpanLink, optional, nullable)
- `external_id` (string, optional, nullable)
- `metadata` (map from string to any, optional, nullable)

### APIRequestParentContext

- `type` (enum, required)
  - Allowed values: `API_REQUEST`
- `span_id` (string, required)
- `parent` (ParentContext, optional, nullable)
- `links` (list of SpanLink, optional, nullable)
- `api_actor_id` (string, optional, nullable)
- `api_actor_type` (enum, optional, nullable) — * `ANONYMOUS` - ANONYMOUS * `WORKSPACE_API_KEY` - WORKSPACE_API_KEY * `ENVIRONMENT_API_KEY` - ENVIRONMENT_API_KEY * `JWT` - JWT * `SERVICE_TOKEN` - SERVICE_TOKEN
  - Allowed values: `ANONYMOUS`, `WORKSPACE_API_KEY`, `ENVIRONMENT_API_KEY`, `JWT`, `SERVICE_TOKEN`
- `api_actor_label` (string, optional, nullable)

### ExternalParentContext

- `type` (enum, required)
  - Allowed values: `EXTERNAL`
- `span_id` (string, required)
- `parent` (ParentContext, optional, nullable)
- `links` (list of SpanLink, optional, nullable)

### ScheduledTriggerContext

- `type` (enum, required)
  - Allowed values: `SCHEDULED`
- `span_id` (string, required)
- `parent` (ParentContext, optional, nullable)
- `links` (list of SpanLink, optional, nullable)
- `trigger_id` (string, optional, nullable)

### IntegrationTriggerContext

- `type` (enum, required)
  - Allowed values: `INTEGRATION`
- `span_id` (string, required)
- `parent` (ParentContext, optional, nullable)
- `links` (list of SpanLink, optional, nullable)
- `trigger_id` (string, optional, nullable)

### ChatMessageContent

### SearchResultDocument

- `label` (string, required) — The human-readable name for the document.
- `id` (string, optional, nullable) — The ID of the document.
- `external_id` (string, optional, nullable) — The unique ID of the document as represented in an external system and specified when it was originally uploaded.
- `metadata` (map from string to any, optional, nullable) — A previously supplied JSON object containing metadata that can be filtered on when searching.

### SearchResultMeta

- `source` (SearchResultMetaSource, optional, nullable)

### NumberVellumValue

A value representing a number.

- `type` (enum, required)
  - Allowed values: `NUMBER`
- `value` (double, required, nullable)

### JsonVellumValue

A value representing a JSON object.

- `type` (enum, required)
  - Allowed values: `JSON`
- `value` (any, required, nullable)

### AudioVellumValue

A base Vellum primitive value representing audio.

- `type` (enum, required)
  - Allowed values: `AUDIO`
- `value` (VellumAudio, required, nullable)

### VideoVellumValue

A base Vellum primitive value representing a video.

- `type` (enum, required)
  - Allowed values: `VIDEO`
- `value` (VellumVideo, required, nullable)

### ImageVellumValue

A base Vellum primitive value representing an image.

- `type` (enum, required)
  - Allowed values: `IMAGE`
- `value` (VellumImage, required, nullable)

### DocumentVellumValue

A base Vellum primitive value representing a document.

- `type` (enum, required)
  - Allowed values: `DOCUMENT`
- `value` (VellumDocument, required, nullable)

### FunctionCallVellumValue

A value representing a Function Call.

- `type` (enum, required)
  - Allowed values: `FUNCTION_CALL`
- `value` (FunctionCall, required, nullable) — The final resolved function call value.

### ErrorVellumValue

A value representing an Error.

- `type` (enum, required)
  - Allowed values: `ERROR`
- `value` (VellumError, required, nullable)

### ArrayVellumValue

A value representing an array of Vellum variable values.

- `type` (enum, required)
  - Allowed values: `ARRAY`
- `value` (list of VellumValue, required, nullable)

### ChatHistoryVellumValue

A value representing Chat History.

- `type` (enum, required)
  - Allowed values: `CHAT_HISTORY`
- `value` (list of ChatMessage, required, nullable)

### SearchResultsVellumValue

A value representing Search Results.

- `type` (enum, required)
  - Allowed values: `SEARCH_RESULTS`
- `value` (list of SearchResult, required, nullable)

### ThinkingVellumValue

A value representing Thinking mode output.

- `type` (enum, required)
  - Allowed values: `THINKING`
- `value` (StringVellumValue, required, nullable) — A value representing a string.

### VellumCodeResourceDefinition

- `name` (string, required)
- `module` (list of string, required) — The module that this resource is defined in.
- `id` (string, required)
- `exclude_from_monitoring` (boolean, optional, nullable) — Whether this node should be excluded from monitoring views.

### StringChatMessageContent

A string value that is used in a chat message.

- `type` (enum, required)
  - Allowed values: `STRING`
- `value` (string, required)

### FunctionCallChatMessageContent

A function call value that is used in a chat message.

- `type` (enum, required)
  - Allowed values: `FUNCTION_CALL`
- `value` (FunctionCallChatMessageContentValue, required) — The final resolved function call value.

### ArrayChatMessageContent

A list of chat message content items.

- `type` (enum, required)
  - Allowed values: `ARRAY`
- `value` (list of ArrayChatMessageContentItem, required)

### AudioChatMessageContent

An audio value that is used in a chat message.

- `type` (enum, required)
  - Allowed values: `AUDIO`
- `value` (VellumAudio, required)

### VideoChatMessageContent

A video value that is used in a chat message.

- `type` (enum, required)
  - Allowed values: `VIDEO`
- `value` (VellumVideo, required)

### ImageChatMessageContent

An image value that is used in a chat message.

- `type` (enum, required)
  - Allowed values: `IMAGE`
- `value` (VellumImage, required)

### DocumentChatMessageContent

A document value that is used in a chat message.

- `type` (enum, required)
  - Allowed values: `DOCUMENT`
- `value` (VellumDocument, required)

### SearchResultMetaSource

### FunctionCallChatMessageContentValue

The final resolved function call value.

- `name` (string, required)
- `arguments` (map from string to any, required)
- `id` (string, optional, nullable)

### ArrayChatMessageContentItem

### PdfSearchResultMetaSource

The source of a search result from a PDF document.

- `document_type` (enum, required)
  - Allowed values: `PDF`
- `start_page_num` (integer, required, nullable) — The 1-indexed page number where the chunk starts in the document. Only available for supported chunking strategies and document types.
- `end_page_num` (integer, required, nullable) — The 1-indexed page number where the chunk ends in the document. Only available for supported chunking strategies and document types.

## Examples

**Response**

```json
{
  "count": 1,
  "results": [
    {
      "span_id": "string",
      "start": "2024-01-15T09:30:00Z",
      "end": "2024-01-15T09:30:00Z",
      "inputs": [
        {
          "id": "string",
          "name": "string",
          "type": "STRING",
          "value": "string"
        }
      ],
      "outputs": [
        {
          "id": "string",
          "name": "string",
          "type": "STRING",
          "value": "string"
        }
      ],
      "error": {
        "message": "string",
        "raw_data": {},
        "code": "WORKFLOW_INITIALIZATION",
        "stacktrace": "string"
      },
      "usage_results": [
        {
          "usage": [
            {
              "ml_model_name": "string",
              "ml_model_usage": {
                "output_token_count": 1,
                "input_token_count": 1,
                "input_char_count": 1,
                "output_char_count": 1,
                "compute_nanos": 1,
                "cache_creation_input_tokens": 1,
                "cache_read_input_tokens": 1
              }
            }
          ],
          "cost": [
            {
              "value": 1.1,
              "unit": "USD"
            }
          ],
          "error": {
            "code": "UNKNOWN",
            "message": "string"
          }
        }
      ],
      "parent_context": {
        "type": "WORKFLOW_RELEASE_TAG",
        "span_id": "string",
        "deployment_id": "string",
        "deployment_name": "string",
        "deployment_history_item_id": "string",
        "release_tag_id": "string",
        "release_tag_name": "string",
        "workflow_version_id": "string",
        "parent": {},
        "links": [
          {
            "trace_id": "string",
            "type": "TRIGGERED_BY"
          }
        ],
        "external_id": "string",
        "metadata": {}
      },
      "latest_actual": {
        "output": {
          "id": "string",
          "name": "string",
          "type": "STRING",
          "value": "string"
        },
        "timestamp": "2024-01-15T09:30:00Z",
        "metadata": {},
        "quality": 1.1
      },
      "metric_results": [
        {
          "outputs": [
            {
              "id": "string",
              "name": "string",
              "type": "STRING",
              "value": "string"
            }
          ],
          "label": "string",
          "metric_id": "string"
        }
      ]
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api.vellum.ai/v1/workflow-deployments/id/execution-events"

headers = {"X-API-KEY": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```typescript
import { VellumClient } from "vellum-ai";

const client = new VellumClient({ apiKey: "YOUR_API_KEY", apiVersion: "YOUR_API_VERSION" });
await client.workflowDeployments.listWorkflowDeploymentEventExecutions("id");

```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.vellum.ai/v1/workflow-deployments/id/execution-events"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("X-API-KEY", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.vellum.ai/v1/workflow-deployments/id/execution-events")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.vellum.ai/v1/workflow-deployments/id/execution-events")
  .header("X-API-KEY", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.vellum.ai/v1/workflow-deployments/id/execution-events', [
  'headers' => [
    'X-API-KEY' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.vellum.ai/v1/workflow-deployments/id/execution-events");
var request = new RestRequest(Method.GET);
request.AddHeader("X-API-KEY", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["X-API-KEY": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.vellum.ai/v1/workflow-deployments/id/execution-events")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```